Package org.apache.catalina.startup

# Class SetAllPropertiesRule

java.lang.Object
org.apache.tomcat.util.digester.Rule
org.apache.catalina.startup.SetAllPropertiesRule

public class SetAllPropertiesRule extends Rule
Rule that uses the introspection utils to set properties.

Author:
  Remy Maucherat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final HashMap<String,String>`
  `excludes`

  ### Fields inherited from class org.apache.tomcat.util.digester.Rule

  `digester, namespaceURI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAllPropertiesRule()`
  `SetAllPropertiesRule(String[] exclude)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `begin(String namespace, String nameX, Attributes attributes)`
  Handle the beginning of an XML element.

  ### Methods inherited from class org.apache.tomcat.util.digester.Rule

  `body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### excludes

    protected final HashMap<String,String> excludes

- ## Constructor Details

  - ### SetAllPropertiesRule

    public SetAllPropertiesRule()

  - ### SetAllPropertiesRule

    public SetAllPropertiesRule(String[] exclude)

- ## Method Details

  - ### begin

    public void begin(String namespace, String nameX, Attributes attributes) throws Exception
    Handle the beginning of an XML element.
    Overrides:
      `begin` in class `Rule`
    Parameters:
      `attributes` - The attributes of this element
      `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
      `nameX` - the local name if the parser is namespace aware, or just the element name otherwise
    Throws:
      `Exception` - if a processing error occurs